Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface SwingConstants

All Known Implementing Classes:
  JTabbedPane, AbstractButton, JCheckBoxMenuItem, JTextField, JSeparator, SwingUtilities, JLabel, JToolBar, JProgressBar, JSlider, View, BasicTabbedPaneUI, BasicScrollBarUI, BasicToolBarUI, BasicInternalFrameUI.BorderListener, BasicArrowButton, MetalBorders.ToolBarBorder

public interface SwingConstants

A collection of constants generally used for positioning and orienting components on the screen.

Field Summary
`static int` | `BOTTOM` Box-orientation constant used to specify the bottom of a box.
`static int` | `CENTER` The central position in an area.
`static int` | `EAST` Compass-direction east (right).
`static int` | `HORIZONTAL` Horizontal orientation.
`static int` | `LEADING` Identifies the leading edge of text for use with left-to-right and right-to-left languages.
`static int` | `LEFT` Box-orientation constant used to specify the left side of a box.
`static int` | `NORTH` Compass-direction North (up).
`static int` | `NORTH_EAST` Compass-direction north-east (upper right).
`static int` | `NORTH_WEST` Compass-direction north west (upper left).
`static int` | `RIGHT` Box-orientation constant used to specify the right side of a box.
`static int` | `SOUTH` Compass-direction south (down).
`static int` | `SOUTH_EAST` Compass-direction south-east (lower right).
`static int` | `SOUTH_WEST` Compass-direction south-west (lower left).
`static int` | `TOP` Box-orientation constant used to specify the top of a box.
`static int` | `TRAILING` Identifies the trailing edge of text for use with left-to-right and right-to-left languages.
`static int` | `VERTICAL` Vertical orientation.
`static int` | `WEST` Compass-direction west (left).

Field Detail

### CENTER

    public static final int CENTER

  The central position in an area. Used for both compass-direction constants (NORTH, etc.) and box-orientation constants (TOP, etc.).

### TOP

    public static final int TOP

  Box-orientation constant used to specify the top of a box.

### LEFT

    public static final int LEFT

  Box-orientation constant used to specify the left side of a box.

### BOTTOM

    public static final int BOTTOM

  Box-orientation constant used to specify the bottom of a box.

### RIGHT

    public static final int RIGHT

  Box-orientation constant used to specify the right side of a box.

### NORTH

    public static final int NORTH

  Compass-direction North (up).

### NORTH_EAST

    public static final int NORTH_EAST

  Compass-direction north-east (upper right).

### EAST

    public static final int EAST

  Compass-direction east (right).

### SOUTH_EAST

    public static final int SOUTH_EAST

  Compass-direction south-east (lower right).

### SOUTH

    public static final int SOUTH

  Compass-direction south (down).

### SOUTH_WEST

    public static final int SOUTH_WEST

  Compass-direction south-west (lower left).

### WEST

    public static final int WEST

  Compass-direction west (left).

### NORTH_WEST

    public static final int NORTH_WEST

  Compass-direction north west (upper left).

### HORIZONTAL

    public static final int HORIZONTAL

  Horizontal orientation. Used for scrollbars and sliders.

### VERTICAL

    public static final int VERTICAL

  Vertical orientation. Used for scrollbars and sliders.

### LEADING

    public static final int LEADING

  Identifies the leading edge of text for use with left-to-right and right-to-left languages. Used by buttons and labels.

### TRAILING

    public static final int TRAILING

  Identifies the trailing edge of text for use with left-to-right and right-to-left languages. Used by buttons and labels.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.